What's the deal with ASP.NET 3.5 Extensions Preview 2?

I'm trying to get the MVCToolkit working with an ASP.NET MVC Beta application and ran into an unresolved reference to System.Web.Extensions version 3.6 (ASP.NET MVC Beta comes with System.Web.Extensions version 3.5). All my google searches seem to point to a broken download link on Microsoft's site: ASP.NET 3.5 Extensions Preview 2

Answers


The toolkit is now in Microsoft.Web.Mvc, which is also called "Futures". If that's not confusing enough :) it's not revved with the platform.

Anyway - the toolkit is no longer the "toolkit" - it's part of the platform (for the most part) and if you have beta, you already have it. Just make sure that Micrsoft.Web.Mvc dll is in your bin.


I believe System.Web.Extensions v3.6 is part of .Net 3.5 Service Pack 1?


Need Your Help

makefile linking does not work (although no error message)

c++ linux makefile linker

I am having issue with Makefile that I produced. It consists of one .cpp file with main() inside and I want to create executable from it. While putting in terminal make command I get following: